Page 1 of 3

OPTIMIZED Blender 2.42a Debs >> UBUNTU Dapper Drake

Posted: Sat Jul 22, 2006 1:45 am
by rcas
Hi guys,

Blender 2.42a compiled Dapper Drake, get it here:

http://ruicampos.com/fl_tmp/debian/ubuntu-dapper/


Some notes:
- This is an unofficial release, designed specifically for Ubuntu Dapper Drake.
- It has full FFMPEG support, meaning you can use Xvid, MP3, AAC and H264 as movie export, or even as import on the sequencer.
- Since you have ffmpeg, blenderplayer is history, use the one supplied in the official package if you really need it.


Report any problems you might have in this thread, remember this isn't an official release.

I think all needed packages are declared as dependencies, but if you miss one just say so and I will add it to the deb file.

Optimized builds are in the folders, you have the following:
- Generic i586
- Pentium 4 + SSE2
- Athlon XP + 3DNow!
- Centrino / Core Duo + SSE2
- Athlon64 + SSE2 (32 bit mode)


Have fun and hope you enjoy this,

-- Rui --

Posted: Tue Jul 25, 2006 1:41 pm
by rcas
UPDATED with 2.42a release and optimized builds.

Posted: Wed Jul 26, 2006 7:54 pm
by neri
I would like to know, where did you download the sources for 2.42a since I haven't found any links on the blender hompage?

Thanks in advance,
neri

Posted: Wed Jul 26, 2006 10:52 pm
by rcas
neri wrote:I would like to know, where did you download the sources for 2.42a since I haven't found any links on the blender hompage?

Thanks in advance,
neri
I got the sources from CVS, there is a tag for it now, but I got them when Ton said it was final for building the releases.

You can always check the developers mailing list at http://projects.blender.org/mailman/lis ... committers .

If you still can't get the sources poke me again and I can send you a tar.gz of them.

-- Rui --

Posted: Wed Jul 26, 2006 11:09 pm
by rcas
Ok, since I'm a nice guy....

Blender source for 2.42a is in the same folder as the deb files, it also includes my own personal scons user-config.py file, with all entries for optimized builds.

http://www.ruicampos.com/fl_tmp/debian/ubuntu-dapper/

Have fun,

-- Rui --

Posted: Wed Jul 26, 2006 11:56 pm
by neri
Thanks a lot. My problem is that people are teasing me to update the package for ArchLinux. And I will have to change the package script form tarball based to cvs back and forward anytime blender doesnt release source tarballs. This is why I'm not happy with these intermediate releases.

Thanks anyway,
tobbi

Posted: Thu Jul 27, 2006 12:19 am
by rcas
Poke me whenever you need it, I can upload it to my website, it is no trouble at all, took me 5 minutes.

Posted: Thu Jul 27, 2006 12:57 pm
by jazzroy
thnaks for your .deb rui,
i'm going to test it extensively comparing rendering speed with official release

Posted: Thu Jul 27, 2006 1:01 pm
by rcas
jazzroy wrote:thnaks for your .deb rui,
but it fails to install due to some missing dependecies. first it asked about lame but I solved it, now it asks for "libopenal0a" and I don't know where to get it. (not a linux geek..)

note I've installed all Automatix codecs and your FFMPEG .deb file.
Are you using Synaptic ? If so, do a search on title and description for "openal" and tell me if you find it.

-- Rui --

still trying to get it to work

Posted: Thu Aug 03, 2006 8:52 pm
by xenon2000
blender-bin: error while loading shared libraries: libHalf.so.2: cannot open shared object file: No such file or directory

I have Xubuntu 6.06 with linux-image-686 kernel 2.6.15.26-686 on a Pentium 4 .

I had to do a lot to get the .deb file to finally install, but got it installed and now I get that messege above at the command line. If I try just running blender via the Applications menu, I get no message notification and of course nothing happens.

Any ideas on how to resolve this libHalf.so.2 error? Thanks. Would be nice if Ubuntu had up to date repositories.

Re: still trying to get it to work

Posted: Thu Aug 03, 2006 10:12 pm
by kidb
xenon2000 wrote:blender-bin: error while loading shared libraries: libHalf.so.2: cannot open shared object file: No such file or directory
sudo su
apt-get install apt-file
apt-file update
apt-file search libHalf.so.2
libopenexr2: usr/lib/libHalf.so.2
libopenexr2: usr/lib/libHalf.so.2.0.2
apt-get install libopenexr2

Posted: Thu Aug 03, 2006 11:21 pm
by rcas
Ok, I missed that one, will add it to the dependencies once I build it again.

Cheerz,

-- Rui --

Re: still trying to get it to work

Posted: Thu Aug 03, 2006 11:28 pm
by xenon2000
kidb wrote:
xenon2000 wrote:blender-bin: error while loading shared libraries: libHalf.so.2: cannot open shared object file: No such file or directory
sudo su
apt-get install apt-file
apt-file update
apt-file search libHalf.so.2
libopenexr2: usr/lib/libHalf.so.2
libopenexr2: usr/lib/libHalf.so.2.0.2
apt-get install libopenexr2
I use aptitude, but I have tried your exact steps above as well. I must not have the same list of repositories as you because using aptitude or apt-file, I get no results for searching for libHalf.so.2

Re: still trying to get it to work

Posted: Thu Aug 03, 2006 11:31 pm
by kidb
xenon2000 wrote:
kidb wrote:
xenon2000 wrote:blender-bin: error while loading shared libraries: libHalf.so.2: cannot open shared object file: No such file or directory
sudo su
apt-get install apt-file
apt-file update
apt-file search libHalf.so.2
libopenexr2: usr/lib/libHalf.so.2
libopenexr2: usr/lib/libHalf.so.2.0.2
apt-get install libopenexr2
I use aptitude, but I have tried your exact steps above as well. I must not have the same list of repositories as you because using aptitude or apt-file, I get no results for searching for libHalf.so.2
Search for libopenexr.
apt-cache search libopenexr

http://www.debian.org/distrib/packages

Re: still trying to get it to work

Posted: Thu Aug 03, 2006 11:50 pm
by xenon2000
kidb wrote: Search for libopenexr.
apt-cache search libopenexr

http://www.debian.org/distrib/packages
Thanks, did aptitude install libopenexr-dev and now blender works. Thanks again.